# https://github.com/alecthomas/kingpin
%global goipath         gopkg.in/alecthomas/kingpin.v2
%global forgeurl        https://github.com/alecthomas/kingpin
%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

%gometa -i

Name:           golang-gopkg-alecthomas-kingpin
Version:        v2_2.2.6
Release:        2%{?dist}
Summary:        A Go command line and flag parser
License:        MIT
URL:            %{gourl}
Source0:        %{name}.%{version}.orig.tar.gz	

BuildRequires: golang-github-alecthomas-template-devel
BuildRequires: golang-github-alecthomas-units-devel
BuildRequires: compiler(go-compiler)
BuildRequires: golang-github-stretchr-testify-devel

%description
%{summary}.

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup


%install
gofiles=$(find . %{?gofindfilter} -print)
%goinstall $gofiles


%check
%gochecks

%files devel -f devel.file-list
%license COPYING
%doc README.md _examples


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 11 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.6-1
- Release 2.2.6
- Update to new Go packaging

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-3.git1087e65
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-2.git1087e65
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug  7 2017 mosquito <sensor.wen@gmail.com> - 2.2.5-1
- Release 2.2.5

* Mon Jan 16 2017 Jaroslav <cz.guardian@gmail.com> Stepanek 2.2.3-1.gite9044be
- Initial package build
